org.apache.ignite.transactions

## Class TransactionTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.transactions.TransactionException
          - - org.apache.ignite.transactions.TransactionTimeoutException

- All Implemented Interfaces:
    Serializable

      public class TransactionTimeoutException
      extends TransactionException

  Exception thrown whenever transactions time out. Because transaction can be timed out due to a deadlock this exception can contain `TransactionDeadlockException` as cause.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionTimeoutException(String msg)` Creates new timeout exception with given error message.
    `TransactionTimeoutException(String msg, Throwable cause)` Creates new timeout exception with given error message and optional nested exception.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionTimeoutException

          public TransactionTimeoutException(String msg)

      Creates new timeout exception with given error message.
      Parameters:
        `msg` - Error message.

    - #### TransactionTimeoutException

          public TransactionTimeoutException(String msg,
                                             Throwable cause)

      Creates new timeout exception with given error message and optional nested exception.
      Parameters:
        `msg` - Error message.
        `cause` - Optional nested exception (can be `null`).

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023